import React, { FC } from 'react'
import { hasPrivilege } from './PermissionsManager'

interface PrivilegeProps {
  // 资源名称，一般不用传递，如果默认值location.pathname无法满足，请传入
  resource?: string,
  // 特权键名，通常是由 {@link ModuleInterfaces.privilegeProp} 决定的
  key: string
}
export const Privilege: FC<PrivilegeProps> = ({
  key,
  resource,
  children
}) => {
  return <>{hasPrivilege(key, resource) ? children : null}</>
}
